<?php
/**
* Настройки модуля
*
* @link https://lazydev.pro/
* @author LazyDev <email@lazydev.pro>
**/

use LazyDev\Avatar\Data;
use LazyDev\Avatar\Admin;

$accessArray = [];
foreach ($user_group as $group) {
	$accessArray[$group['id']] = $group['group_name'];
}
$allXfield = xfieldsload();
$xfieldArray = ['-' => '-'];
foreach ($allXfield as $value) {
    $xfieldArray[$value[0]] = $value[1];
}

if (!is_writable(ROOT_DIR . '/uploads/fotos/')) {
    echo "<div class=\"alert alert-warning alert-styled-left alert-arrow-left alert-component\">{$langVar['admin']['error_folder']}</div>";
}

echo <<<HTML
<form action="" method="post">
    <div class="panel panel-flat">
        <div class="navbar navbar-default navbar-component navbar-xs" style="margin-bottom: 0px;">
	        <ul class="nav navbar-nav visible-xs-block">
		        <li class="full-width text-center"><a data-toggle="collapse" data-target="#navbar-filter">
		            <i class="fa fa-bars"></i></a>
                </li>
	        </ul>
            <div class="navbar-collapse collapse" id="navbar-filter">
                <ul class="nav navbar-nav">
                    <li class="active"><a onclick="ChangeOption(this, 'block_1');" class="tip">
                        <i class="fa fa-cog"></i> {$langVar['admin']['settings']['main_settings']}</a>
                    </li>
                    <li><a onclick="ChangeOption(this, 'block_2');" class="tip">
                        <i class="fa fa-tint"></i> {$langVar['admin']['settings']['color']}</a>
                    </li>
                </ul>
            </div>
        </div>
        <div id="block_1">
            <div class="panel-body" style="font-size:15px; font-weight:bold;">
                {$langVar['admin']['settings']['main_settings']}
            </div>
            <div class="table-responsive">
                <table class="table">
HTML;
Admin::row(
    $langVar['admin']['settings']['turn_on'],
    $langVar['admin']['settings']['turn_on_descr'],
    Admin::checkBox('turn_on', Data::get('turn_on', 'config'), 'turn_on'),
    $langVar['admin']['settings']['truth']
);
Admin::row(
    $langVar['admin']['settings']['gen_group'],
    $langVar['admin']['settings']['gen_group_descr'],
    Admin::select([
        'gen_group[]', $accessArray, true, Data::get('gen_group', 'config'),
        true, false, $langVar['admin']['settings']['group_title']
    ]),
    $langVar['admin']['settings']['gen_group_helper']
);
Admin::row(
    $langVar['admin']['settings']['type_img'],
    $langVar['admin']['settings']['type_img_descr'],
    Admin::select([
        'type_img',
        [
            1 => $langVar['admin']['settings']['1_img'],
            2 => $langVar['admin']['settings']['2_img'],
            3 => $langVar['admin']['settings']['3_img']
        ],
        true, Data::get('type_img', 'config'), false, false
    ]),
    $langVar['admin']['settings']['type_img_helper']
);
Admin::row(
    $langVar['admin']['settings']['fill_img'],
    $langVar['admin']['settings']['fill_img_descr'],
    Admin::select([
        'fill_img',
        [
            1 => $langVar['admin']['settings']['fill_img_circle'],
            2 => $langVar['admin']['settings']['fill_img_rect']
        ],
        true, Data::get('fill_img', 'config'), false, false
    ])
);
echo <<<HTML
                </table>
            </div>
        </div>
        <div id="block_2" style='display:none'>
            <div class="panel-body" style="font-size:15px; font-weight:bold;">
                {$langVar['admin']['settings']['color']}
            </div>
            <div class="table-responsive">
                <table class="table" id="colorList">
                    <thead>
                        <tr>
                            <th>{$langVar['admin']['settings']['color_bg']}</th>
                            <th>{$langVar['admin']['settings']['color_font']}</th>
                            <th><i class="fa fa-trash"></i></th>
                        </tr>
                    </thead>
                    <tbody>
HTML;
$indexColor = 1;
if ($configVar['color']) {
    foreach ($configVar['color']['bg'] as $key => $color) {
echo <<<HTML
                        <tr data-id="{$indexColor}">
					        <td>
					            <input type="text" class="form-control none_bottom text-center jscolor" name="color[bg][$indexColor]" value="{$color}" readonly>
					        </td>
					        <td>
					            <input type="text" class="form-control none_bottom text-center jscolor" name="color[font][{$indexColor}]" value="{$configVar['symbol']['symbol_replace'][$key]}" readonly>
					        </td>
					        <td>
					            <a onclick="deleteColor(this); return false;" href="#" style="color: #D32F2F">
					                <i class="fa fa-trash"></i>
                                </a>
					        </td>
				        </tr>
HTML;
        $indexColor++;
    }
} else {
echo  <<<HTML
                        <tr data-id="{$indexColor}">
					        <td>
					            <input type="text" class="form-control none_bottom text-center jscolor" name="color[bg][$indexColor]" readonly>
					        </td>
					        <td>
					            <input type="text" class="form-control none_bottom text-center jscolor" name="color[font][{$indexColor}]" readonly>
					        </td>
					        <td>
					            <a onclick="deleteColor(this); return false;" href="#" style="color: #D32F2F">
					                <i class="fa fa-trash"></i>
                                </a>
					        </td>
				        </tr>
HTML;
}
echo <<<HTML
                    </tbody>
                </table>
            </div>
        </div>       
        
    </div>
    <button type="submit" class="btn bg-teal btn-raised position-left" style="background-color:#1e8bc3;">{$langVar['admin']['save']}</button>
    <a href="#" onclick="addColor(); return false;" id="addColor" class="btn bg-teal btn-raised" style="display:none;background-color:#e08283;float: right;">{$langVar['admin']['settings']['addColor']}</a>
</form>
HTML;

$jsAdminScript[] = <<<HTML
$(function() {
    $('body').on('submit', 'form', function(e) {
        e.preventDefault();
        coreAdmin.ajaxSend($('form').serialize(), 'saveOptions', false);
    });
});
function ChangeOption(obj, selectedOption) {
    $('#navbar-filter li').removeClass('active');
    $(obj).parent().addClass('active');
    $('[id*=block_]').hide();
    $('#' + selectedOption).show();
    
    if (selectedOption == 'block_2') {
        $('#addColor').show();    
    } else {
        $('#addColor').hide();
    }
    return false;
}
function addColor() {
    var i = $("#colorList tbody tr").length + 1;
    $("#colorList tbody").append('<tr><td><input type="text" class="form-control none_bottom text-center jscolor" name="color[bg]['+i+']" readonly></td><td><input type="text" class="form-control none_bottom text-center jscolor" name="color[font]['+i+']" readonly></td><td><a onclick="deleteColor(this); return false;" href="#" style="color: #D32F2F"><i class="fa fa-trash"></i></a></td></tr>');
    jsc.register();
}
function deleteColor(e) {
    $(e).parent().parent().remove();
}
HTML;

?>