<?php
/**
* Класс AJAX Обработки
*
* @link https://lazydev.pro/
* @author LazyDev <email@lazydev.pro>
**/

namespace LazyDev\Avatar;

class Ajax
{
    /**
     * Определяем AJAX действие
     *
     * @param    string    $action
     *
     **/
    static function ajaxAction($action)
    {
        switch ($action) {
            case 'saveOptions':
                self::saveOptions();
                break;
        }
    }

    /**
     * Сохраняем настройки
     *
     **/
    static function saveOptions()
    {
        global $db;

        $colorList = [];
        parse_str($_POST['data'], $colorList);
        $colorArray = [];
        foreach ($colorList['color']['bg'] as $key => $bg_color) {
            $colorArray['bg'][] = $db->safesql(strip_tags($bg_color));
            $colorArray['font'][] = $db->safesql(strip_tags($colorList['color']['font'][$key]));
        }

        $arrayConfig = Helper::unserializeJs($_POST['data']);
        unset($arrayConfig['color']);
        $arrayConfig['color'] = $colorArray;
        $handler = fopen(ENGINE_DIR . '/lazydev/' . Helper::$modName . '/data/config.php', 'w');
        fwrite($handler, "<?php\n\n//Avatar Gen by LazyDev\n\nreturn ");
        fwrite($handler, var_export($arrayConfig, true));
        fwrite($handler, ";\n");
        fclose($handler);
        echo Helper::json(['text' => Data::get(['admin', 'ajax', 'options_save'], 'lang')]);
    }
}
